<?php

class Router_utils {
    public $getpparams;
    public $getresult=array();
  
    function __construct($getpparams) {
      $this->getpparams = $getpparams;
      
      $getarray=explode("&",$getpparams);
   
      $i=0;
      foreach($getarray as $field){
  
          $breaker=strpos($field,"=");
          
          $key=substr($field,0,$breaker);
  
          $length=strlen($field);
          
          $value=substr($field,$breaker+1,$length);
  
          $this->getresult[$i]['key']=$key;
          $this->getresult[$i]['value']=$value;
          $i=$i+1;

      }



      
    }//End Constructor
    function get_getresult() {
        return $this->getresult;
      }
  }//End of Class